## offlineimap3 0.0~git20210218.76c7a72+dfsg

=== requirements.txt ===
# Requirements
gssapi[kerberos]
portalocker[cygwin]
rfc6555
distro

=== debian/changelog ===
offlineimap3 (0.0~git20210218.76c7a72+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~git20210218.76c7a72+dfsg
    - Remove upstream applied patches.
    - Update fixes broken folderincludes. (Closes: #982970)
    - Update fixes remoteusereval config. (Closes: #983249)
  * Fix reading password from Curses Blinkenlights. (Closes: #981949)
  * Fix gmail fetch with synclabels enabled.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 22 Feb 2021 21:45:56 +0000

offlineimap3 (0.0~git20210105.00d395b+dfsg-3) unstable; urgency=medium

  [ Guido Günther ]
  * Fix GSSAPI authentication (Closes: #810119, #969298)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Sudip Mukherjee ]
  * Revert use of default sslcacertfile. (Closes: #981338, #981677)
  * Read string from remotepassfile. (Closes: #982625, #981063, #981385)
   - Thanks to Vagrant Cascadian for the original patch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 16 Feb 2021 20:12:16 +0000

offlineimap3 (0.0~git20210105.00d395b+dfsg-2) unstable; urgency=medium

  * Add 'offlineimap' transitional package.
    - Removes python2 dependency from offlineimap. (Closes: #937184, #967184)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 24 Jan 2021 21:43:56 +0000

offlineimap3 (0.0~git20210105.00d395b+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~git20210105.00d395b+dfsg.
  * Add dependency on python3-distro. (Closes: #979136)
  * Upload to unstable.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 16 Jan 2021 00:11:26 +0000

offlineimap3 (0.0~git20201230.feeafa1+dfsg-1) experimental; urgency=medium

  * New upstream version 0.0~git20201230.feeafa1
  * Update Standards-Version to 4.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 03 Jan 2021 00:19:00 +0000

offlineimap3 (0.0~git20201110.74744ce+dfsg-1) experimental; urgency=medium

  * Add repack in d/watch file.
  * New upstream version 0.0~git20201110.74744ce.
    - Update fixes the byte object encode error. (Closes: #973408)
  * Make modules private.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 12 Nov 2020 18:07:30 +0000

offlineimap3 (0.0~git20201025.c850e74+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #972512)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 26 Oct 2020 21:18:15 +0000

## offlineimap3 0.0~git20210225.1e7ef9e%2Bdfsg

=== requirements.txt ===
# Requirements
gssapi[kerberos]
portalocker[cygwin]
rfc6555
distro

imaplib2~=3.5
urllib3~=1.25.9
certifi~=2020.6.20

=== debian/tests/control ===
Tests: testmail
Depends: @, dovecot-imapd, mailutils, exim4-daemon-light
Restrictions: needs-root, allow-stderr

## offlineimap3 0.0~git20210225.1e7ef9e+dfsg

=== debian/changelog ===
offlineimap3 (0.0~git20210225.1e7ef9e+dfsg-4) unstable; urgency=medium

  * Fix flaky autopkgtest. (Closes: #987165)
    - Disable TLS connection.
    - Wait for dovecot to run.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 20 Apr 2021 12:24:50 +0100

offlineimap3 (0.0~git20210225.1e7ef9e+dfsg-3) unstable; urgency=medium

  * Fix autopkgtest.
    - Run dovecot only if it is not running.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 08 Mar 2021 09:41:21 +0000

offlineimap3 (0.0~git20210225.1e7ef9e+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Add autopkgtest.
  * Add salsa CI.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 07 Mar 2021 22:55:09 +0000

offlineimap3 (0.0~git20210225.1e7ef9e+dfsg-1) experimental; urgency=medium

  * New upstream version 0.0~git20210225.1e7ef9e+dfsg
    - Refresh Debian specific patch.
    - Upstream added Multiple encoding support. (Closes: #981685, #981485)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 25 Feb 2021 23:31:48 +0000

=== debian/control ===
Source: offlineimap3
Section: mail
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
 python3-all, python3-imaplib2, python3-distro, python3-six, asciidoc,
 xsltproc, docbook-xml, docbook-xsl, libxml2-utils
Standards-Version: 4.5.1
Homepage: https://github.com/OfflineIMAP/offlineimap3
Vcs-Browser: https://salsa.debian.org/python-team/packages/offlineimap3
Vcs-Git: https://salsa.debian.org/python-team/packages/offlineimap3.git
Rules-Requires-Root: no

Package: offlineimap3
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-imaplib2,
 python3-distro
Breaks: offlineimap (<= 7.3.3+dfsg1-1)
Replaces: offlineimap (<= 7.3.3+dfsg1-1)
Description: IMAP/Maildir synchronization and reader support
 OfflineIMAP is a tool to simplify your e-mail reading.  With
 OfflineIMAP, you can:
 .
  * Read the same mailbox from multiple computers, and have your
    changes (deletions, etc.) be automatically reflected on
    all computers
 .
  * Use various mail clients to read a single mail box
 .
  * Read mail while offline (on a laptop) and have all changes
    synchronized when you get connected again
 .
  * Read IMAP mail with mail readers that do not support IMAP
 .
  * Use SSL (secure connections) to read IMAP mail even if your reader
    doesn't support SSL
 .
  * Synchronize your mail using a completely safe and fault-tolerant
    algorithm.
 .
  * Customize which mailboxes to synchronize with regular expressions
    or lists.
 .
  * Synchronize your mail two to four times faster than with other tools
    or other mail readers' internal IMAP support.
 .
 In short, OfflineIMAP is a tool to let you read mail how YOU want to.
 .
 This is the Python3 port of offlineimap.

Package: offlineimap
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, offlineimap3
Description: transitional package
 This is a transitional package. It can safely be removed.

## offlineimap3 0.0~git20211018.e64c254%2Bdfsg

=== docs/Makefile ===
# This program is free software under the terms of the GNU General Public
# License. See the COPYING file which must come with this package.

SOURCES = $(wildcard *.rst)
HTML_TARGETS = $(patsubst %.rst,%.html,$(SOURCES))

RM = rm
RST2HTML=`type rst2html >/dev/null 2>&1 && echo rst2html || echo rst2html.py`
RST2MAN=`type rst2man >/dev/null 2>&1 && echo rst2man || echo rst2man.py`
SPHINXBUILD = sphinx-build

docs: man api

html: $(HTML_TARGETS)

$(HTML_TARGETS): %.html : %.rst
	$(RST2HTML) $? $@

manhtml: offlineimap.html offlineimapui.html

offlineimap.html: offlineimap.txt offlineimap.known_issues.txt
	a2x -v -d manpage -D manhtml -f xhtml $<

offlineimapui.html: offlineimapui.txt
	a2x -v -d manpage -D manhtml -f xhtml $<


man: offlineimap.1 offlineimapui.7

offlineimap.1: offlineimap.txt offlineimap.known_issues.txt
	a2x -v -d manpage -f manpage $<

offlineimapui.7: offlineimapui.txt
	a2x -v -d manpage -f manpage $<

api:
	$(SPHINXBUILD) -b html -d html/doctrees doc-src html

websitedoc:
	./website-doc.sh releases
	./website-doc.sh api
	./website-doc.sh html
	./website-doc.sh contrib

clean:
	$(RM) -f $(HTML_TARGETS)
	$(RM) -f offlineimap.1
	$(RM) -f offlineimap.7
	$(RM) -f manhtml/*
	$(RM) -rf html/*
	-find . -name '*.html' -exec rm -f {} \;

.PHONY: clean doc

## offlineimap3 0.0~git20211018.e64c254+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 rfc6555
 distro
 
-imaplib2~=3.5
+imaplib2>=3.5
 urllib3~=1.25.9
 certifi~=2020.6.20

=== tests/requirements.txt ===
pytest
pytest-cov
coverage
codecov

=== debian/changelog ===
offlineimap3 (0.0~git20211018.e64c254+dfsg-2) unstable; urgency=medium

  * Team upload
  * Patch: Python 3.11 compatible threadsafety check (Closes: #1027837)

 -- Bastian Germann <bage@debian.org>  Tue, 10 Jan 2023 22:44:57 +0100

offlineimap3 (0.0~git20211018.e64c254+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~git20211018.e64c254+dfsg
    - Fixes oauth errors with TypeError. (LP: #1947441)
    - Fixes cert_fingerprint with self-signed certificate. (Closes: #995403)
  * Add an autopkgtest to test with self signed certificates.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 18 Oct 2021 19:22:08 +0100

offlineimap3 (0.0~git20210825.4ca9c75+dfsg-1) unstable; urgency=medium

  [ Guido Günther ]
  * d/control: Suggest python3-gssapi (Closes: #989715)

  [ Sudip Mukherjee ]
  * New upstream version 0.0~git20210825.4ca9c75+dfsg
    - Sync patches with new upstream version.
    - Add ca-certificates to dependency.
    - Fixes encoding error. (Closes: #986139)
    - Uses ca-certificates from default location. (Closes: #833191)
  * Update Standards-Version to 4.6.0.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 11 Sep 2021 23:11:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
  python3-all, python3-imaplib2, python3-distro, python3-six, asciidoc,
  xsltproc, docbook-xml, docbook-xsl, libxml2-utils
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/OfflineIMAP/offlineimap3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/offlineimap3
 Vcs-Git: https://salsa.debian.org/python-team/packages/offlineimap3.git
@@ -15,9 +15,10 @@
 Package: offlineimap3
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-imaplib2,
- python3-distro
+ python3-distro, ca-certificates
 Breaks: offlineimap (<= 7.3.3+dfsg1-1)
 Replaces: offlineimap (<= 7.3.3+dfsg1-1)
+Suggests: python3-gssapi
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With
  OfflineIMAP, you can:

=== debian/tests/control ===
Tests: testmail
Depends: @, dovecot-imapd, mailutils, exim4-daemon-light
Restrictions: needs-root, allow-stderr

Tests: testsslmail
Depends: @, dovecot-imapd, mailutils, exim4-daemon-light
Restrictions: needs-root, allow-stderr

## offlineimap3 0.0~git20230519.c9f44ad+dfsg

=== debian/changelog ===
offlineimap3 (0.0~git20230519.c9f44ad+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~git20230519.c9f44ad+dfsg
    - Remove patch from upstream.
  * Update Standards-Version to 4.6.2
  * Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 11 Jul 2023 21:25:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
  python3-all, python3-imaplib2, python3-distro, python3-six, asciidoc,
  xsltproc, docbook-xml, docbook-xsl, libxml2-utils
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/OfflineIMAP/offlineimap3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/offlineimap3
 Vcs-Git: https://salsa.debian.org/python-team/packages/offlineimap3.git

## offlineimap3 0.0~git20231218.d29a4dc+dfsg

=== requirements.txt ===
# Requirements
gssapi[kerberos]
portalocker[cygwin]
rfc6555
distro;platform_system=="Linux" and python_version>"3.7"
keyring
imaplib2>=3.5
urllib3~=1.25.9
certifi~=2020.6.20

=== debian/changelog ===
offlineimap3 (0.0~git20231218.d29a4dc+dfsg-3ubuntu1) noble; urgency=medium

  * d/t/test*mail: Enable printing of commands as executed
  * d/t/control: Disable testsshmail.
    - This new test case relies on overriding the sshd Port setting,
      but sshd uses socket-based activation in Ubuntu 22.10 and newer.
      (LP: #2048846)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 10 Jan 2024 02:37:29 +0000

offlineimap3 (0.0~git20231218.d29a4dc+dfsg-3) unstable; urgency=medium

  * Do not enable keyring by default.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 24 Dec 2023 22:51:33 +0000

offlineimap3 (0.0~git20231218.d29a4dc+dfsg-2) unstable; urgency=medium

  * Fix autopkgtest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 19 Dec 2023 22:32:23 +0000

offlineimap3 (0.0~git20231218.d29a4dc+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~git20231218.d29a4dc+dfsg
    - Fixes NameError with fcntl. (Closes: #1057921)
  * Add autopkgtest for preauthtunnel with ssh.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 19 Dec 2023 11:37:01 +0000

offlineimap3 (0.0~git20231201.77e70ed+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~git20231201.77e70ed+dfsg
    - Add dependency on python3-rfc6555
    - Add dependency on python3-keyring
  * stop background process after autotest

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 10 Dec 2023 11:25:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: offlineimap3
 Section: mail
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
  python3-all, python3-imaplib2, python3-distro, python3-six, asciidoc,
- xsltproc, docbook-xml, docbook-xsl, libxml2-utils
+ xsltproc, docbook-xml, docbook-xsl, libxml2-utils, python3-rfc6555,
+ python3-keyring
 Standards-Version: 4.6.2
 Homepage: https://github.com/OfflineIMAP/offlineimap3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/offlineimap3
@@ -15,7 +17,7 @@
 Package: offlineimap3
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-imaplib2,
- python3-distro, ca-certificates
+ python3-distro, ca-certificates, python3-keyring
 Breaks: offlineimap (<= 7.3.3+dfsg1-1)
 Replaces: offlineimap (<= 7.3.3+dfsg1-1)
 Suggests: python3-gssapi

=== debian/tests/control ===
--- 
+++ 
@@ -5,3 +5,9 @@
 Tests: testsslmail
 Depends: @, dovecot-imapd, mailutils, exim4-daemon-light
 Restrictions: needs-root, allow-stderr
+
+### Fails on Ubuntu due to failure to set Port.  See LP: #2048846 ###
+#
+# Tests: testsshmail
+# Depends: @, dovecot-imapd, mailutils, exim4-daemon-light, openssh-server, sshpass
+# Restrictions: needs-root, allow-stderr

## offlineimap3 0.0~git20240826.db34745+dfsg

=== Makefile ===
# Copyright (C) 2002 - 2018 John Goerzen & contributors.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

# Warning: VERSION, ABBREV and TARGZ are used in docs/build-uploads.sh.
VERSION=$(shell ./offlineimap.py --version)
ABBREV=$(shell git log --format='%h' HEAD~1..)
TARGZ=offlineimap-v$(VERSION)-$(ABBREV)
SHELL=/bin/bash
RST2HTML=`type rst2html >/dev/null 2>&1 && echo rst2html || echo rst2html.py`

all: build

build:
	python setup.py build
	@echo
	@echo "Build process finished, run 'python setup.py install' to install" \
		"or 'python setup.py --help' for more information".

clean:
	-python setup.py clean --all
	-rm -f bin/offlineimapc 2>/dev/null
	-find . -name '*.pyc' -exec rm -f {} \;
	-find . -name '*.pygc' -exec rm -f {} \;
	-find . -name '*.class' -exec rm -f {} \;
	-find . -name '.cache*' -exec rm -f {} \;
	-find . -type d -name '__pycache__' -exec rm -rf {} \;
	-rm -f manpage.links manpage.refs 2>/dev/null
	-find . -name auth -exec rm -vf {}/password {}/username \;
	-$(MAKE) -C docs clean

.PHONY: docs
docs:
	@$(MAKE) -C docs

websitedoc:
	@$(MAKE) -C websitedoc

targz: ../$(TARGZ)
../$(TARGZ):
	cd .. && tar -zhcv --transform s,^offlineimap,offlineimap-v$(VERSION), -f $(TARGZ).tar.gz --exclude '.*.swp' --exclude '.*.swo' --exclude '*.pyc' --exclude '__pycache__' offlineimap/{bin,Changelog.md,Changelog.maint.md,contrib,CONTRIBUTING.rst,COPYING,docs,MAINTAINERS.rst,Makefile,MANIFEST.in,offlineimap,offlineimap.conf,offlineimap.conf.minimal,offlineimap.py,README.md,requirements.txt,scripts,setup.cfg,setup.py,snapcraft.yaml,test,tests,TODO.rst}

rpm: targz
	cd .. && sudo rpmbuild -ta $(TARGZ)

=== requirements.txt ===
# Requirements
rfc6555
distro; python_version > "3.6"
imaplib2>=3.5
urllib3~=1.25.9

=== debian/changelog ===
offlineimap3 (0.0~git20240826.db34745+dfsg-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/test*mail: Enable printing of commands as executed
    - d/t/control: Disable testsshmail.
      - This new test case relies on overriding the sshd Port setting,
        but sshd uses socket-based activation in Ubuntu 22.10 and newer.
        (LP: #2048846)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 30 Dec 2024 11:34:05 +0000

offlineimap3 (0.0~git20240826.db34745+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/tests/user.py: Use chpasswd to hash passwords (closes: #1084729).

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Nov 2024 23:38:27 +0100

offlineimap3 (0.0~git20240826.db34745+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~git20240826.db34745+dfsg
  * Fix autopkgtest on chroot
  * Update Standards-Version to 4.7.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 29 Oct 2024 17:23:47 +0000

offlineimap3 (0.0~git20231218.d29a4dc+dfsg-4) unstable; urgency=medium

  * Team Upload
  * Remove build-dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Aug 2024 16:34:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
- python3-all, python3-imaplib2, python3-distro, python3-six, asciidoc,
+ python3-all, python3-imaplib2, python3-distro, asciidoc,
  xsltproc, docbook-xml, docbook-xsl, libxml2-utils, python3-rfc6555,
  python3-keyring
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/OfflineIMAP/offlineimap3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/offlineimap3
 Vcs-Git: https://salsa.debian.org/python-team/packages/offlineimap3.git

=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//, mode=git, pgpmode=none" \
 https://github.com/OfflineIMAP/offlineimap3.git \
  HEAD debian uupdate
